Bug 219757 - Can not executed test when installed on Japanese-language
Can not executed test when installed on Japanese-language
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: YangKun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 02:07 EST by NIWA Hideyuki
Modified: 2008-07-16 17:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 08:44:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NIWA Hideyuki 2006-12-15 02:07:50 EST
Description of problem:
The error occurs and the test interrupts when the hts test is executed after
RHEL5B2 is installed by Japanese-language 
environment.

Version-Release number of selected component (if applicable):
RHEL5B2
hts-5.0-9.noarch.rpm

Steps to Reproduce:
1.# hts certify
  
Actual results:
Stress test passed
...finished running ./CORE2, exit code=0
recovered exit code=0
rhts-report-result core PASS /var/log/hts/runs/1/core/output.log
Traceback (most recent call last):
  File "/usr/bin/hts", line 105, in ?
    success = hts.do(args)
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 63, in do
    return self.doCertify()
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 313, in
doCertify
    self.saveSystemLog(test, run)
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 475, in
saveSystemLog
    if l.find(marker_str + "begin") >= 0:
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe8 in position 46: ordinal
not in range(128)
Comment 1 YangKun 2006-12-19 23:35:59 EST
hts-5.0-9.noarch.rpm is too old and buggy, please try the newest hts
release(hts-5.0-14 or newer) and see whether this issue still exist.
thanks.
Comment 2 NIWA Hideyuki 2006-12-21 02:03:17 EST
Yang-san

The error occurs on hts-5.0-14 again when
RHEL5B2 is installed by Japanese-language environment.

-----
Stress test passed
...finished running ./CORE2, exit code=0
recovered exit code=0
rhts-report-result core PASS /var/log/hts/runs/1/core/output.log
Traceback (most recent call last):
  File "/usr/bin/hts", line 109, in ?
    success = hts.do(args)
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 63, in do
    return self.doCertify()
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 330, in
doCertify
    self.saveSystemLog(test, run)
  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 501, in
saveSystemLog
    if l.find(marker_str + "begin") >= 0:
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe8 in position 44: ordinal
not in range(128)
-------
I seem  not hts's bug but python's bug.

Regard 
Comment 6 Greg Nichols 2007-02-06 08:44:40 EST
For hardware certification, RHEL5 must be installed as the en_US locale.

Note You need to log in before you can comment on or make changes to this bug.